# Scheduled Report Rule Delete

DELETE /platform/scheduled-reports/rules/{rule_id}: Deletes a scheduled report rule. (There is no update; delete and create again.)

Source: https://docs.deepinfo.com/reference/platform/scheduled-report-rule-delete/

Last updated: 2026-09-27

---
`DELETE https://api.deepinfo.com/v1/platform/scheduled-reports/rules/{rule_id}`

Deletes a scheduled report rule. (There is no update; delete and create again.)

## Authentication

Send your API key in the `apikey` request header.

## Path Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `rule_id` | Required |  | `000000000000000e8e040001` |

## Examples

### 200 · OK

```bash
curl -X DELETE 'https://api.deepinfo.com/v1/platform/scheduled-reports/rules/000000000000000e8e040001' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

### 404 · Not Found (nonexistent rule_id)

```bash
curl -X DELETE 'https://api.deepinfo.com/v1/platform/scheduled-reports/rules/ffffffffffffffffffffffff' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "code": 30003,
  "details": [
    "Scheduled report rule with id=ffffffffffffffffffffffff does not exist."
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```
